# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		fskbsetting
Version:	0.3.5
Release:	alt4_12
License:	GPLv3+
Summary:	GUI Front-end for setxkbmap command
URL:		https://sourceforge.net/projects/fskbsetting
Group:		System/X11
Source0:	https://sourceforge.net/projects/fskbsetting/files/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	libwxBase3.0-devel libwxGTK3.0-devel
BuildRequires:	icon-theme-hicolor
BuildRequires:	gettext-tools libasprintf-devel
Requires:	setxkbmap
Requires:	icon-theme-hicolor
Source44: import.info

%description
fsKBSetting is GUI front-end for setxkbmap command.

%prep
%setup -q

%build
autoreconf --force --install --symlink
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_docdir}/%{name}



%changelog
* Thu Sep 14 2023 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt4_12
- rebuild with wxGTK3.2

* Tue Aug 02 2022 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt3_12
- update by mgaimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt3_11
- update by mgaimport

* Fri Apr 15 2022 Igor Vlasenko <viy@altlinux.org> 0.3.5-alt3_10
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 0.3.5-alt3_9
- update by mgaimport

* Tue Jul 13 2021 Cronbuild Service <cronbuild@altlinux.org> 0.3.5-alt3_6
- rebuild to get rid of unmets

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_6
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt2_5
- update by mgaimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.3.5-alt2_4
- rebuild to get rid of unmets

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_4
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_3
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_2
- update by mgaimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.5-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_4
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_3
- new version

